AnsweredAssumed Answered

yocto L3.10.53-1.1.0-GA compile error

Question asked by kevin_chan on Jun 1, 2015
Latest reply on Jun 9, 2015 by Bio_TICFSL

software: L3.10.53-1.1.0-GA

 

 

error log file:

 

 

tmp/work/cortexa9hf-vfp-neon-mx6-poky-linux-gnueabi/imx-gpu-viv/1_5.0.11.p4.1-hfp-r0/temp/log.do_unpack.16594

 

 

DEBUG: Executing python function do_unpack

NOTE: Freescale EULA has been accepted for 'imx-gpu-viv'

DEBUG: Executing python function base_do_unpack

NOTE: Unpacking /media/UD-SOURCES2/freescale/yocto/3.10.53-1.1.0/L3.10.53-1.1.0-GA/fsl-release-bsp/downloads/imx-gpu-viv-5.0.11.p4.1-hfp.bin to /media/UD-SOURCES2/freescale/yocto/3.10.53-1.1.0/L3.10.53-1.1.0-GA/fsl-release-bsp/build-x11/tmp/work/cortexa9hf-vfp-neon-mx6-poky-linux-gnueabi/imx-gpu-viv/1_5.0.11.p4.1-hfp-r0/

DEBUG: Python function base_do_unpack finished

DEBUG: Executing python function fsl_bin_do_unpack

NOTE: Handling file 'imx-gpu-viv-5.0.11.p4.1-hfp.bin' as a Freescale's EULA binary.

DEBUG: Running export SSH_AGENT_PID="2552"; export SSH_AUTH_SOCK="/tmp/keyring-680Bhd/ssh"; export PATH="/media/UD-SOURCES2/freescale/yocto/3.10.53-1.1.0/L3.10.53-1.1.0-GA/fsl-release-bsp/sources/poky/scripts:/media/UD-SOURCES2/freescale/yocto/3.10.53-1.1.0/L3.10.53-1.1.0-GA/fsl-release-bsp/build-x11/tmp/sysroots/x86_64-linux/usr/bin/cortexa9hf-vfp-neon-poky-linux-gnueabi:/media/UD-SOURCES2/freescale/yocto/3.10.53-1.1.0/L3.10.53-1.1.0-GA/fsl-release-bsp/build-x11/tmp/sysroots/imx6qsabresd/usr/bin/crossscripts:/media/UD-SOURCES2/freescale/yocto/3.10.53-1.1.0/L3.10.53-1.1.0-GA/fsl-release-bsp/build-x11/tmp/sysroots/x86_64-linux/usr/sbin:/media/UD-SOURCES2/freescale/yocto/3.10.53-1.1.0/L3.10.53-1.1.0-GA/fsl-release-bsp/build-x11/tmp/sysroots/x86_64-linux/usr/bin:/media/UD-SOURCES2/freescale/yocto/3.10.53-1.1.0/L3.10.53-1.1.0-GA/fsl-release-bsp/build-x11/tmp/sysroots/x86_64-linux/sbin:/media/UD-SOURCES2/freescale/yocto/3.10.53-1.1.0/L3.10.53-1.1.0-GA/fsl-release-bsp/build-x11/tmp/sysroots/x86_64-linux/bin:/media/UD-SOURCES2/freescale/yocto/3.10.53-1.1.0/L3.10.53-1.1.0-GA/fsl-release-bsp/sources/poky/scripts:/media/UD-SOURCES2/freescale/yocto/3.10.53-1.1.0/L3.10.53-1.1.0-GA/fsl-release-bsp/sources/poky/bitbake/bin:/home/kevin/kevin-acce/:/home/kevin/bin/:/media/tools/android/android-studio/bin:/usr/lib/gradle-2.4/bin:/usr/lib/jvm/jdk1.7.0_72//bin:/home/kevin/MentorGraphics/Sourcery_CodeBench_Lite_for_ARM_EABI/bin:/home/kevin/CodeSourcery/Sourcery_G++_Lite/bin:/home/kevin/kevin-acce/:/home/kevin/bin:/usr/local/arm_linux_4.2/bin:/usr/lib/lightdm/lightdm:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games"; export HOME="/home/kevin"; sh /media/UD-SOURCES2/freescale/yocto/3.10.53-1.1.0/L3.10.53-1.1.0-GA/fsl-release-bsp/downloads/imx-gpu-viv-5.0.11.p4.1-hfp.bin --auto-accept --force

ERROR: Error executing a python function in /media/UD-SOURCES2/freescale/yocto/3.10.53-1.1.0/L3.10.53-1.1.0-GA/fsl-release-bsp/sources/meta-fsl-bsp-release/imx/meta-fsl-arm/recipes-graphics/imx-gpu-viv/imx-gpu-viv_5.0.11.p4.1-hfp.bb:

 

 

The stack trace of python calls that resulted in this exception/failure was:

File: 'fsl_bin_do_unpack', lineno: 35, function: <module>

     0031:    # Return to the previous directory

     0032:    os.chdir(save_cwd)

     0033:

     0034:

*** 0035:fsl_bin_do_unpack(d)

     0036:

File: 'fsl_bin_do_unpack', lineno: 29, function: fsl_bin_do_unpack

     0025:                save_cwd = os.getcwd()

     0026:                os.chdir(rootdir)

     0027:

     0028:                cmd = "sh %s --auto-accept --force" % (url.localpath)

*** 0029:                bb.fetch2.runfetchcmd(cmd, d, quiet=True)

     0030:

     0031:    # Return to the previous directory

     0032:    os.chdir(save_cwd)

     0033:

File: '/media/UD-SOURCES2/freescale/yocto/3.10.53-1.1.0/L3.10.53-1.1.0-GA/fsl-release-bsp/sources/poky/bitbake/lib/bb/fetch2/__init__.py', lineno: 722, function: runfetchcmd

     0718:                bb.utils.remove(f, True)

     0719:            except OSError:

     0720:                pass

     0721:

*** 0722:        raise FetchError(error_message)

     0723:

     0724:    return output

     0725:

     0726:def check_network_access(d, info = "", url = None):

Exception: FetchError: Fetcher failure: Fetch command failed with exit code 15, output:

Welcome to Freescale imx-gpu-viv-5.0.11.p4.1-hfp.bin

 

 

WARNING: EULA has been auto-accepted; this imply you agree with it anyway.

Unpacking file ..

mkdir: cannot create directory `imx-gpu-viv-5.0.11.p4.1-hfp': File exists

bzip2: (stdin) is not a bzip2 file.

ERROR:

Signal caught, cleaning up

 

 

 

 

DEBUG: Python function fsl_bin_do_unpack finished

DEBUG: Python function do_unpack finished

ERROR: Function failed: fsl_bin_do_unpack

 

 

 

 

my test:

 

 

kevin$ sh imx-gpu-viv-5.0.11.p4.1-hfp.bin --auto-accept --force

Welcome to Freescale imx-gpu-viv-5.0.11.p4.1-hfp.bin

 

 

WARNING: EULA has been auto-accepted; this imply you agree with it anyway.

Unpacking file bzip2: (stdin) is not a bzip2 file.

..ERROR:

Signal caught, cleaning up

 

 

 

 

please give me some suggestion about this problem.

It seems the eula file imx-gpu-viv-5.0.11.p4.1-hfp.bin can't install properly!

Outcomes